/transactions/adjustments/{type}

Adjustments

The endpoint /transactions/adjustments/{type} allows us to make credit and debit adjustments on transactions.

Additionally, through this endpoint, we will send you an adjustment request when the networks (Mastercard or Visa) force a transaction. You may also receive Payments that come to us through the offline flow Compensation stage.

It is not possible to reject transactions from this endpoint. We will always consider them effective and financially impactful, regardless of the response we receive. We will wait for you to inform us of the transaction result in your system. It will not generate changes in our operations, but it may be useful for cases of manual review.

Considerations

This endpoint is used during reconciliation and online flows, mainly to make adjustments during the settlement process and also in case of refunds.

In addition to validating the signature we sent you, when generating the response you must sign your body along with the timestamp and the response endpoint with your api-secret after impacting the operation. Please note that we will validate the signature and reject the transaction if the signature does not match or has expired.

You can find more information in Webhook Configuration.

Available parameters

Path Parameters
typeenum
Cuerpo de solicitud
application/json

Adjustment body that we will send to the provided endpoint.

transactionobject13 properties
merchantobject7 properties
cardobject4 properties
installmentsobject5 properties
userobject1 properties
amountobject4 properties

Response details

204
Expected response to indicate that the adjustment was received.

Ejemplo de solicitudAdjustment body that we will send to the provided endpoint.
{
  "transaction": {
    "id": "ctx-200kXoaEJLNzcsvNxY1pmBO7fEx",
    "type": "PURCHASE",
    "point_type": "POS",
    "entry_mode": "MANUAL",
    "country_code": "ARG",
    "origin": "DOMESTIC",
    "source": "ONLINE",
    "network": "MASTERCARD",
    "cardless_withdrawal_user_id": "example_value",
    "cardless_withdrawal_token": "example_value",
    "tl_id": "example_value",
    "original_transaction_id": "ctx-200kirg6qicg1qHSCbgaStrEHjI",
    "local_date_time": "2019-08-24T14:15:22"
  },
  "merchant": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "mcc": "example_value",
    "address": "example_value",
    "name": "example_value",
    "terminal_id": "example_value",
    "country": "example_value",
    "city": "example_value"
  },
  "card": {
    "id": "c-1625519392748E6XZBK",
    "product_type": "PREPAID",
    "provider": "MASTERCARD",
    "last_four": "1573"
  },
  "installments": {
    "quantity": "12",
    "credit_type": "NO_PROMOTION",
    "grace_period": "0",
    "current_installment": "1",
    "promotion_type": "MSI_PROMOTION"
  },
  "user": {
    "id": "u-1625758043579BAR6D4"
  },
  "amount": {
    "local": {
      "total": "99.49",
      "currency": "ARS"
    },
    "settlement": {
      "total": "1.08",
      "currency": "USD"
    },
    "transaction": {
      "total": "0.86",
      "currency": "EUR"
    },
    "details": [
      {
        "type": "BASE",
        "currency": "example_value",
        "amount": "example_value",
        "name": "example_value"
      }
    ]
  }
}
Ejemplo de respuesta (200)Expected response in case of reporting the adjustment result.
{
  "status_detail": "APPROVED",
  "message": "string"
}

Pomelo AI

Artificial intelligence assistant for inquiries about the Pomelo API
Hello!How can I help you today?
Adjustments | Pomelo API Reference